#ifndef __APPLE__
#include <bits/stdc++.h>
#else
#include <iostream>
#include <vector>
#include <set>
#include "map"
#include "iomanip"
#include "cassert"
#include "numbers"
#include "random"
#endif
using namespace std;
#define all(x) x.begin(), x.end()
#define int long long

const int nm = 1000007;


void solve() {
    int a, b, c;
    cin >> a >> b >> c;

    bool rev1 = 0, rev2 = 0, rev3 = 0;
    if (a < b)
    {
        swap(a, b);
        rev1 = 1;
    }
    if (a < c) {
        swap(a, c);
        rev2 = 1;
    }
    if (b < c) {
        swap(b, c);
        rev3 = 1;
    }

    if (a > b + c) {
        cout << "No\n";
        return;
    }

    string s1(b, 'z');
    string s2(b, 'v');
    //s2[0] = 'z';
    string s3(c + b, 'v');
    //s3[0] = 'z';
    for (int i = 0; i < c + b - a; i++) {
        s3[i] = 'z';
    }
    swap(s3, s2);

    if (rev3) {
        swap(s2, s3);
    }
    if (rev2) {
        swap(s1, s2);
    }
    if (rev1) {
        swap(s1, s3);
    }

    cout << "Yes\n" << s1 << "\n" << s2 << "\n" << s3;

}

signed main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(0);

    int t = 1;
    //cin >> t;
    while (t--)
        solve();
}
/*

 */